Subject: Re: partial packet lengths in PGP 8

From: "Brian Smith" <[email-masked]>
Date: Thu, 10 Apr 2003 16:05:45 -0700

What's the reason for requiring that the first partial length be so long?
 512 octets is considerably more than the headers, IV, etc of any data
packet would be.

Brian

On Wed, 09 Apr 2003 15:45:44 -0700 Jon Callas <[email-masked]> wrote:
>
>On 4/9/03 3:02 PM, "Hal Finney" <[email-masked]> wrote:
>
>> I suggest that the following text:
>> 
>>  An implementation MAY use Partial Body Lengths for data packets,
> be
>>  they literal, compressed, or encrypted. The first partial length
>MUST
>>  be at least 512 octets long. Partial Body Lengths MUST NOT be
>used
>>  for any other packet types.
>> 
>>  Note also that the last Body Length header can be a zero-length
>header.
>> 
>> be moved from 4.2.3 to section 4.2.2.4, Partial Body Lengths.
> Also I
>> moved the "Note also" sentence to after the paragraph as you see.
>
>I moved them.
>
>    Jon
>
>
>

---

From: Derek Atkins <[email-masked]>
Date: 10 Apr 2003 21:12:26 -0400

A better question to be asking yourself is why do you feel you
need to break the packet up any SMALLER than 512 bytes?

-derek

-- 
       Derek Atkins
       Computer and Internet Security Consultant
       [email-masked]             www.ihtfp.com

---

From: Jon Callas <[email-masked]>
Date: Sat, 12 Apr 2003 17:39:12 -0700

> 512 octets is considerably more than the headers, IV, etc of any data

It was to discourage its use for common things.

The partial length feature was created so you could use PGP as a streaming
protocol. Networks, tape backups, other things were all described to me as
hypothetical uses for them.

It's a cool thing, but you don't want to have to force everyone's decoder to
deal with the case were the first bytes of some packet are all delivered in
one-byte partials. So you want to have some minimum. You want it to be
longer than a block size of a cipher, and after that, it's all handwaving.
512 was picked because it's a reasonable size of buffer, even on a very
limited computer. 

    Jon